# azure.mgmt.recoveryservicesbackup.operations module

class `azure.mgmt.recoveryservicesbackup.operations.``BackupResourceVaultConfigsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupResourceVaultConfigsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `get`(vault_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Fetches resource vault config.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BackupResourceVaultConfigResource or ClientRawResponse if raw=true
    Return type: | BackupResourceVaultConfigResource or ClientRawResponse
    Raises: | `CloudError`

  `update`(vault_name, resource_group_name, parameters, custom_headers=None, raw=False, **operation_config)

    Updates vault security config.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - parameters (BackupResourceVaultConfigResource) – resource config request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BackupResourceVaultConfigResource or ClientRawResponse if raw=true
    Return type: | BackupResourceVaultConfigResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectedItemsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectedItemsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `create_or_update`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, parameters, custom_headers=None, raw=False, **operation_config)

    Enables backup of an item or to modifies the backup policy information of an already backed up item. This is an asynchronous operation. To know the status of the operation, call the GetItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backup item.
    - container_name (str) – Container name associated with the backup item.
    - protected_item_name (str) – Item name to be backed up.
    - parameters (ProtectedItemResource) – resource backed up item
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectedItemResource or ClientRawResponse if raw=true
    Return type: | ProtectedItemResource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, custom_headers=None, raw=False, **operation_config)

    Used to disable backup of an item within a container. This is an asynchronous operation. To know the status of the request, call the GetItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backed up item.
    - container_name (str) – Container name associated with the backed up item.
    - protected_item_name (str) – Backed up item to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Provides the details of the backed up item. This is an asynchronous operation. To know the status of the operation, call the GetItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backed up item.
    - container_name (str) – Container name associated with the backed up item.
    - protected_item_name (str) – Backed up item name whose details are to be fetched.
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectedItemResource or ClientRawResponse if raw=true
    Return type: | ProtectedItemResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectedItemOperationResultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectedItemOperationResultsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `get`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Fetches the result of any operation on the backup item.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backup item.
    - container_name (str) – Container name associated with the backup item.
    - protected_item_name (str) – Backup item name whose details are to be fetched.
    - operation_id (str) – OperationID which represents the operation whose result needs to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectedItemResource or ClientRawResponse if raw=true
    Return type: | ProtectedItemResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``RecoveryPointsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RecoveryPointsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `get`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, recovery_point_id, custom_headers=None, raw=False, **operation_config)

    Provides the information of the backed up data identified using RecoveryPointID. This is an asynchronous operation. To know the status of the operation, call the GetProtectedItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with backed up item.
    - container_name (str) – Container name associated with backed up item.
    - protected_item_name (str) – Backed up item name whose backup data needs to be fetched.
    - recovery_point_id (str) – RecoveryPointID represents the backed up data to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RecoveryPointResource or ClientRawResponse if raw=true
    Return type: | RecoveryPointResource or ClientRawResponse
    Raises: | `CloudError`

  `list`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Lists the backup copies for the backed up item.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backed up item.
    - container_name (str) – Container name associated with the backed up item.
    - protected_item_name (str) – Backed up item whose backup copies are to be fetched.
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RecoveryPointResource
    Return type: | RecoveryPointResourcePaged[RecoveryPointResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``RestoresOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RestoresOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `trigger`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, recovery_point_id, parameters, custom_headers=None, raw=False, **operation_config)

    Restores the specified backed up data. This is an asynchronous operation. To know the status of this API call, use GetProtectedItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backed up items.
    - container_name (str) – Container name associated with the backed up items.
    - protected_item_name (str) – Backed up item to be restored.
    - recovery_point_id (str) – Recovery point ID which represents the backed up data to be restored.
    - parameters (RestoreRequestResource) – resource restore request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupPoliciesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupPoliciesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `list`(vault_name, resource_group_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Lists of backup policies associated with Recovery Services Vault. API provides pagination parameters to fetch scoped results.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ProtectionPolicyResource
    Return type: | ProtectionPolicyResourcePaged[ProtectionPolicyResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectionPoliciesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectionPoliciesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  `create_or_update`(vault_name, resource_group_name, policy_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates or modifies a backup policy. This is an asynchronous operation. Status of the operation can be fetched using GetPolicyOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - policy_name (str) – Backup policy to be created.
    - parameters (ProtectionPolicyResource) – resource backup policy
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionPolicyResource or ClientRawResponse if raw=true
    Return type: | ProtectionPolicyResource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(vault_name, resource_group_name, policy_name, custom_headers=None, raw=False, **operation_config)

    Deletes specified backup policy from your Recovery Services Vault. This is an asynchronous operation. Status of the operation can be fetched using GetPolicyOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - policy_name (str) – Backup policy to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(vault_name, resource_group_name, policy_name, custom_headers=None, raw=False, **operation_config)

    Provides the details of the backup policies associated to Recovery Services Vault. This is an asynchronous operation. Status of the operation can be fetched using GetPolicyOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - policy_name (str) – Backup policy information to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionPolicyResource or ClientRawResponse if raw=true
    Return type: | ProtectionPolicyResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectionPolicyOperationResultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectionPolicyOperationResultsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `get`(vault_name, resource_group_name, policy_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Provides the result of an operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - policy_name (str) – Backup policy name whose operation’s result needs to be fetched.
    - operation_id (str) – Operation ID which represents the operation whose result needs to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionPolicyResource or ClientRawResponse if raw=true
    Return type: | ProtectionPolicyResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupJobsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupJobsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `list`(vault_name, resource_group_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Provides a pageable list of jobs.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobResource
    Return type: | JobResourcePaged[JobResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``JobDetailsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobDetailsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `get`(vault_name, resource_group_name, job_name, custom_headers=None, raw=False, **operation_config)

    Gets extended information associated with the job.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - job_name (str) – Name of the job whose details are to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobResource or ClientRawResponse if raw=true
    Return type: | JobResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``JobCancellationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobCancellationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `trigger`(vault_name, resource_group_name, job_name, custom_headers=None, raw=False, **operation_config)

    Cancels a job. This is an asynchronous operation. To know the status of the cancellation, call GetCancelOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - job_name (str) – Name of the job to cancel.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``JobOperationResultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobOperationResultsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `get`(vault_name, resource_group_name, job_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Fetches the result of any operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - job_name (str) – Job name whose operation result has to be fetched.
    - operation_id (str) – OperationID which represents the operation whose result has to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ExportJobsOperationResultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ExportJobsOperationResultsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `get`(vault_name, resource_group_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Gets the operation result of operation triggered by Export Jobs API. If the operation is successful, then it also contains URL of a Blob and a SAS key to access the same. The blob contains exported jobs in JSON serialized format.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - operation_id (str) – OperationID which represents the export job.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationResultInfoBaseResource or ClientRawResponse if raw=true
    Return type: | OperationResultInfoBaseResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``JobsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `export`(vault_name, resource_group_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Triggers export of jobs specified by filters and returns an OperationID to track.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupProtectedItemsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupProtectedItemsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `list`(vault_name, resource_group_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Provides a pageable list of all items that are backed up within a vault.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ProtectedItemResource
    Return type: | ProtectedItemResourcePaged[ProtectedItemResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``OperationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  OperationOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-06-15”.

  `validate`(vault_name, resource_group_name, parameters, custom_headers=None, raw=False, **operation_config)

    Validate operation for specified backed up item. This is a synchronous operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - parameters (ValidateOperationRequest) – resource validate operation request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ValidateOperationsResponse or ClientRawResponse if raw=true
    Return type: | ValidateOperationsResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectionIntentOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectionIntentOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-07-01”.

  `create_or_update`(vault_name, resource_group_name, fabric_name, intent_object_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create Intent for Enabling backup of an item. This is a synchronous operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backup item.
    - intent_object_name (str) – Intent object name.
    - parameters (ProtectionIntentResource) – resource backed up item
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionIntentResource or ClientRawResponse if raw=true
    Return type: | ProtectionIntentResource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(vault_name, resource_group_name, fabric_name, intent_object_name, custom_headers=None, raw=False, **operation_config)

    Used to remove intent from an item.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the intent.
    - intent_object_name (str) – Intent to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(vault_name, resource_group_name, fabric_name, intent_object_name, custom_headers=None, raw=False, **operation_config)

    Provides the details of the protection intent up item. This is an asynchronous operation. To know the status of the operation, call the GetItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backed up item.
    - intent_object_name (str) – Backed up item name whose details are to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionIntentResource or ClientRawResponse if raw=true
    Return type: | ProtectionIntentResource or ClientRawResponse
    Raises: | `CloudError`

  `validate`(azure_region, parameters, custom_headers=None, raw=False, **operation_config)

    It will validate followings 1. Vault capacity 2. VM is already protected 3. Any VM related configuration passed in properties.

    Parameters:

    - azure_region (str) – Azure region to hit Api
    - parameters (PreValidateEnableBackupRequest) – Enable backup validation request on Virtual Machine
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PreValidateEnableBackupResponse or ClientRawResponse if raw=true
    Return type: | PreValidateEnableBackupResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupStatusOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupStatusOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-07-01”.

  `get`(azure_region, parameters, custom_headers=None, raw=False, **operation_config)

    Get the container backup status.

    Parameters:

    - azure_region (str) – Azure region to hit Api
    - parameters (BackupStatusRequest) – Container Backup Status Request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BackupStatusResponse or ClientRawResponse if raw=true
    Return type: | BackupStatusResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``FeatureSupportOperations`(client, config, serializer, deserializer)

  Bases: `object`

  FeatureSupportOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-07-01”.

  `validate`(azure_region, parameters, custom_headers=None, raw=False, **operation_config)

    It will validate if given feature with resource properties is supported in service.

    Parameters:

    - azure_region (str) – Azure region to hit Api
    - parameters (FeatureSupportRequest) – Feature support request object
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AzureVMResourceFeatureSupportResponse or ClientRawResponse if raw=true
    Return type: | AzureVMResourceFeatureSupportResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupProtectionIntentOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupProtectionIntentOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-07-01”.

  `list`(vault_name, resource_group_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Provides a pageable list of all intents that are present within a vault.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ProtectionIntentResource
    Return type: | ProtectionIntentResourcePaged[ProtectionIntentResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupUsageSummariesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupUsageSummariesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-07-01”.

  `list`(vault_name, resource_group_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Fetches the backup management usage summaries of the vault.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of BackupManagementUsage
    Return type: | BackupManagementUsagePaged[BackupManagementUsage]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupEnginesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupEnginesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, backup_engine_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Returns backup management server registered to Recovery Services Vault.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - backup_engine_name (str) – Name of the backup management server.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BackupEngineBaseResource or ClientRawResponse if raw=true
    Return type: | BackupEngineBaseResource or ClientRawResponse
    Raises: | `CloudError`

  `list`(vault_name, resource_group_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Backup management servers registered to Recovery Services Vault. Returns a pageable list of servers.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of BackupEngineBaseResource
    Return type: | BackupEngineBaseResourcePaged[BackupEngineBaseResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectionContainerRefreshOperationResultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectionContainerRefreshOperationResultsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, fabric_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Provides the result of the refresh operation triggered by the BeginRefresh operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the container.
    - operation_id (str) – Operation ID associated with the operation whose result needs to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectableContainersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectableContainersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `list`(vault_name, resource_group_name, fabric_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Lists the containers that can be registered to Recovery Services Vault.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) –
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ProtectableContainerResource
    Return type: | ProtectableContainerResourcePaged[ProtectableContainerResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectionContainersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectionContainersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, fabric_name, container_name, custom_headers=None, raw=False, **operation_config)

    Gets details of the specific container registered to your Recovery Services Vault.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Name of the fabric where the container belongs.
    - container_name (str) – Name of the container whose details need to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionContainerResource or ClientRawResponse if raw=true
    Return type: | ProtectionContainerResource or ClientRawResponse
    Raises: | `CloudError`

  `inquire`(vault_name, resource_group_name, fabric_name, container_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Inquires all the protectable items under the given container.

    This is an async operation and the results should be tracked using location header or Azure-async-url.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric Name associated with the container.
    - container_name (str) – Name of the container in which inquiry needs to be triggered.
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `refresh`(vault_name, resource_group_name, fabric_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Discovers all the containers in the subscription that can be backed up to Recovery Services Vault. This is an asynchronous operation. To know the status of the operation, call GetRefreshOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated the container.
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `register`(vault_name, resource_group_name, fabric_name, container_name, parameters, custom_headers=None, raw=False, **operation_config)

    Registers the container with Recovery Services vault. This is an asynchronous operation. To track the operation status, use location header to call get latest status of the operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the container.
    - container_name (str) – Name of the container to be registered.
    - parameters (ProtectionContainerResource) – Request body for operation
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionContainerResource or ClientRawResponse if raw=true
    Return type: | ProtectionContainerResource or ClientRawResponse
    Raises: | `CloudError`

  `unregister`(vault_name, resource_group_name, fabric_name, container_name, custom_headers=None, raw=False, **operation_config)

    Unregisters the given container from your Recovery Services Vault. This is an asynchronous operation. To determine whether the backend service has finished processing the request, call Get Container Operation Result API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Name of the fabric where the container belongs.
    - container_name (str) – Name of the container which needs to be unregistered from the Recovery Services Vault.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupWorkloadItemsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupWorkloadItemsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `list`(vault_name, resource_group_name, fabric_name, container_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Provides a pageable list of workload item of a specific container according to the query filter and the pagination parameters.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the container.
    - container_name (str) – Name of the container.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkloadItemResource
    Return type: | WorkloadItemResourcePaged[WorkloadItemResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectionContainerOperationResultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectionContainerOperationResultsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, fabric_name, container_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Fetches the result of any operation on the container.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the container.
    - container_name (str) – Container name whose information should be fetched.
    - operation_id (str) – Operation ID which represents the operation whose result needs to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProtectionContainerResource or ClientRawResponse if raw=true
    Return type: | ProtectionContainerResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `trigger`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, parameters, custom_headers=None, raw=False, **operation_config)

    Triggers backup for specified backed up item. This is an asynchronous operation. To know the status of the operation, call GetProtectedItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backup item.
    - container_name (str) – Container name associated with the backup item.
    - protected_item_name (str) – Backup item for which backup needs to be triggered.
    - parameters (BackupRequestResource) – resource backup request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectedItemOperationStatusesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectedItemOperationStatusesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Fetches the status of an operation such as triggering a backup, restore. The status can be in progress, completed or failed. You can refer to the OperationStatus enum for all the possible states of the operation. Some operations create jobs. This method returns the list of jobs associated with the operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backup item.
    - container_name (str) – Container name associated with the backup item.
    - protected_item_name (str) – Backup item name whose details are to be fetched.
    - operation_id (str) – OperationID represents the operation whose status needs to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationStatus or ClientRawResponse if raw=true
    Return type: | OperationStatus or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ItemLevelRecoveryConnectionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ItemLevelRecoveryConnectionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `provision`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, recovery_point_id, parameters, custom_headers=None, raw=False, **operation_config)

    Provisions a script which invokes an iSCSI connection to the backup data. Executing this script opens a file explorer displaying all the recoverable files and folders. This is an asynchronous operation. To know the status of provisioning, call GetProtectedItemOperationResult API.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backed up items.
    - container_name (str) – Container name associated with the backed up items.
    - protected_item_name (str) – Backed up item name whose files/folders are to be restored.
    - recovery_point_id (str) – Recovery point ID which represents backed up data. iSCSI connection will be provisioned for this backed up data.
    - parameters (ILRRequestResource) – resource ILR request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `revoke`(vault_name, resource_group_name, fabric_name, container_name, protected_item_name, recovery_point_id, custom_headers=None, raw=False, **operation_config)

    Revokes an iSCSI connection which can be used to download a script. Executing this script opens a file explorer displaying all recoverable files and folders. This is an asynchronous operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - fabric_name (str) – Fabric name associated with the backed up items.
    - container_name (str) – Container name associated with the backed up items.
    - protected_item_name (str) – Backed up item name whose files/folders are to be restored.
    - recovery_point_id (str) – Recovery point ID which represents backed up data. iSCSI connection will be revoked for this backed up data.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupOperationResultsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupOperationResultsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Provides the status of the delete operations such as deleting backed up item. Once the operation has started, the status code in the response would be Accepted. It will continue to be in this state till it reaches completion. On successful completion, the status code will be OK. This method expects OperationID as an argument. OperationID is part of the Location header of the operation response.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - operation_id (str) – OperationID which represents the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupOperationStatusesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupOperationStatusesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Fetches the status of an operation such as triggering a backup, restore. The status can be in progress, completed or failed. You can refer to the OperationStatus enum for all the possible states of an operation. Some operations create jobs. This method returns the list of jobs when the operation is complete.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - operation_id (str) – OperationID which represents the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationStatus or ClientRawResponse if raw=true
    Return type: | OperationStatus or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``ProtectionPolicyOperationStatusesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProtectionPolicyOperationStatusesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, policy_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Provides the status of the asynchronous operations like backup, restore. The status can be in progress, completed or failed. You can refer to the Operation Status enum for all the possible states of an operation. Some operations create jobs. This method returns the list of jobs associated with operation.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - policy_name (str) – Backup policy name whose operation’s status needs to be fetched.
    - operation_id (str) – Operation ID which represents an operation whose status needs to be fetched.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationStatus or ClientRawResponse if raw=true
    Return type: | OperationStatus or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupProtectableItemsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupProtectableItemsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `list`(vault_name, resource_group_name, filter=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Provides a pageable list of protectable objects within your subscription according to the query filter and the pagination parameters.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - skip_token (str) – skipToken Filter.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkloadProtectableItemResource
    Return type: | WorkloadProtectableItemResourcePaged[WorkloadProtectableItemResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupProtectionContainersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupProtectionContainersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `list`(vault_name, resource_group_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Lists the containers registered to Recovery Services Vault.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - filter (str) – OData filter options.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ProtectionContainerResource
    Return type: | ProtectionContainerResourcePaged[ProtectionContainerResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``SecurityPINsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SecurityPINsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get the security PIN.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TokenInformation or ClientRawResponse if raw=true
    Return type: | TokenInformation or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``BackupResourceStorageConfigsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BackupResourceStorageConfigsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-12-01”.

  `get`(vault_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Fetches resource storage config.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BackupResourceConfigResource or ClientRawResponse if raw=true
    Return type: | BackupResourceConfigResource or ClientRawResponse
    Raises: | `CloudError`

  `patch`(vault_name, resource_group_name, parameters, custom_headers=None, raw=False, **operation_config)

    Updates vault storage model type.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - parameters (BackupResourceConfigResource) – Vault storage config request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `update`(vault_name, resource_group_name, parameters, custom_headers=None, raw=False, **operation_config)

    Updates vault storage model type.

    Parameters:

    - vault_name (str) – The name of the recovery services vault.
    - resource_group_name (str) – The name of the resource group where the recovery services vault is present.
    - parameters (BackupResourceConfigResource) – Vault storage config request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BackupResourceConfigResource or ClientRawResponse if raw=true
    Return type: | BackupResourceConfigResource or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>

class `azure.mgmt.recoveryservicesbackup.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-08-10”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Returns the list of available operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ClientDiscoveryValueForSingleApi
    Return type: | ClientDiscoveryValueForSingleApiPaged[ClientDiscoveryValueForSingleApi]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.recoveryservicesbackup.models' from '/usr/lib/python3/dist-packages/azure/mgmt/recoveryservicesbackup/models/__init__.py'>